> ## Documentation Index
> Fetch the complete documentation index at: https://enzohealth-12c99f25.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Voice note survey



## OpenAPI

````yaml post /v1/notes/{voiceNoteId}/survey
openapi: 3.0.3
info:
  title: Enzo API
  description: OpenAPI compliant REST API built using tRPC with Next.js
  version: 1.0.0
servers:
  - url: https://app.enzo.health/api
security: []
externalDocs:
  url: https://docs.enzo.health/api
paths:
  /v1/notes/{voiceNoteId}/survey:
    post:
      tags:
        - Survey
      summary: Voice note survey
      operationId: surveys-voiceNoteAudioSurvey
      parameters:
        - in: path
          name: voiceNoteId
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                templateType:
                  type: string
                  enum:
                    - oasis
                    - soap
                    - narrative
                    - custom
                  default: oasis
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  questions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        instructions:
                          type: string
                        order:
                          type: number
                        answerType:
                          anyOf:
                            - type: string
                              enum:
                                - singleChoice
                            - type: string
                              enum:
                                - checkAll
                            - type: string
                              enum:
                                - text
                            - type: string
                              enum:
                                - date
                        options:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                              id:
                                type: string
                            required:
                              - value
                              - id
                        triggerOptionIds:
                          type: array
                          items:
                            type: string
                        followUpQuestions:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                              instructions:
                                type: string
                              order:
                                type: number
                              answerType:
                                anyOf:
                                  - type: string
                                    enum:
                                      - singleChoice
                                  - type: string
                                    enum:
                                      - checkAll
                                  - type: string
                                    enum:
                                      - text
                                  - type: string
                                    enum:
                                      - date
                              options:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    value:
                                      type: string
                                    id:
                                      type: string
                                  required:
                                    - value
                                    - id
                              triggerOptionIds:
                                type: array
                                items:
                                  type: string
                            required:
                              - id
                              - instructions
                              - order
                              - answerType
                      required:
                        - id
                        - instructions
                        - order
                        - answerType
                  answers:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        surveyId:
                          type: string
                        questionId:
                          type: string
                        answerType:
                          type: string
                          enum:
                            - singleChoice
                            - checkAll
                            - text
                            - date
                        value: {}
                      required:
                        - id
                        - createdAt
                        - updatedAt
                        - surveyId
                        - questionId
                        - answerType
                  unansweredQuestionId:
                    type: string
                required:
                  - questions
                  - answers
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````